PIL/Pillow compatibility

Bug #1066501 reported by Georges Racinet
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Aeroo Reports
Undecided
Unassigned

Bug Description

Pillow is a repackaging of PIL, mostly to make it compatible with the setuptools standards, meaning eggs installation (see http://pypi.python.org/pypi/Pillow/1.7.7#why-a-fork more details).

In a nutshell, with Pillow, PIL does not have to a be a special case and behaves like any other python package. It is probable that Pillow will take over PIL in the future, since it means less work for all kinds of packagers

However, it seems that some of the path hacks of PIL don't work with Pillow, namely:

  import Image

works with classic PIL, and not with Pillow, whereas the more explicit

  from PIL import Image

works for both.

There are a few occurrences of the first import type in report_aeroo.
We believe switching to the second syntax would be an improvement to report_aeroo with low cost and risk.

We have a patch for that and will submit it ASAP for the 6.1 branch.

Thank you, and thanks for the useful modules

Related branches

Changed in aeroo:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers